/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2016-2020. All rights reserved.
 * Description: partition table common head file
 */
#ifndef _PARTITION_TABLE_MACRO_H_
#define _PARTITION_TABLE_MACRO_H_

enum {
	EMMC_USER_PART = 0x0,
	EMMC_BOOT_MAJOR_PART = 0x1,
	EMMC_BOOT_BACKUP_PART = 0x2,
};

enum {
	UFS_PART_0 = 0x0,
	UFS_PART_1 = 0x1,
	UFS_PART_2 = 0x2,
	UFS_PART_3 = 0x3,
	UFS_PART_4 = 0x4,
	UFS_PART_5 = 0x5,
	UFS_PART_6 = 0x6,
	UFS_PART_7 = 0x7,
	SPI_NOR_PART = 0x8,
	SSD_PART = 0x9,
};

#define PART_NAMELEN                    36
#define MAX_UFS_LUN			8
#define UFS_OFFSET_128KB		(128 * 1024)
#define UFS_PTABLE_SIZE_17KB		(17 * 1024)
#define PART_DDRTEST_START      (24 * 1024 * 1024 + 668 * 1024)

/* ptable 3650 6250 begin */
/*ptable*/
#define SECBOOT_PTN_PTABLE_START        (0)
#define SECBOOT_PTN_PTABLE_SIZE         (512 * 1024)
#define SECBOOT_PTN_PTABLE_FLAGS	(EMMC_USER_PART)
/*xloader*/
#define SECBOOT_PTN_XLOADER_START	(0)
#define SECBOOT_PTN_XLOADER_SIZE	(256 * 1024)
#define SECBOOT_PTN_XLOADER_FLAGS	(EMMC_BOOT_MAJOR_PART)
/*vrl*/
#define SECBOOT_PTN_VRL_START           (512 * 1024)
#define SECBOOT_PTN_VRL_SIZE		(256 * 1024)
#define SECBOOT_PTN_VRL_FLAGS           (EMMC_USER_PART)
/*vrl backup*/
#define SECBOOT_PTN_VRL_BACKUP_START    (768 * 1024)
#define SECBOOT_PTN_VRL_BACKUP_SIZE	(256 * 1024)
#define SECBOOT_PTN_VRL_BACKUP_FLAGS    (EMMC_USER_PART)
/*fastboot*/
#define SECBOOT_PTN_FASTBOOT_START	(2048 * 1024)
#define SECBOOT_PTN_FASTBOOT_SIZE	(4096 * 1024)
#define SECBOOT_PTN_FASTBOOT_FLAGS      (EMMC_USER_PART)
/* ptable 3650 6250 end */

#ifndef CONFIG_USER_MODE
#define HIBENCH_ENG_STORAGE_START        0x600000000
#define HIBENCH_SLT_STORAGE_START        0x640000000
#endif

/*partition macro definition*/
#define PART_XLOADER                   "xloader"
#define PART_PTABLE                    "ptable"
#define PART_VRL                       "vrl"
#define PART_VRL_BACKUP                "vrl_backup"
#define PART_FW_LPM3                   "fw_lpm3"
#define PART_FRP                       "frp"
#define PART_FASTBOOT                  "fastboot"
#define PART_MODEMNVM_FACTORY          "modemnvm_factory"
#define PART_NVME                      "nvme"
#define PART_OEMINFO                   "oeminfo"
#define PART_MODEMNVM_BACKUP           "modemnvm_backup"
#define PART_MODEMNVM_IMG              "modemnvm_img"
#define PART_MODEMNVM_SYSTEM           "modemnvm_system"
#define PART_SECURE_STORAGE            "secure_storage"
#define PART_3RDMODEMNVM               "3rdmodemnvm"
#define PART_3RDMODEMNVMBKP            "3rdmodemnvmbkp"
#define PART_PERSIST                   "persist"
#define PART_MODEM_OM                  "modem_om"
#define PART_SPLASH                    "splash"
#define PART_SPLASH2                   "splash2"
#define PART_LOG                       "log"
#define PART_MISC                      "misc"
#define PART_MODEMNVM_UPDATE           "modemnvm_update"
#define PART_KPATCH                    "kpatch"
#define PART_ERECOVERY                 "erecovery"
#define PART_ERECOVERY_KERNEL          "erecovery_kernel"
#define PART_ERECOVERY_RAMDISK         "erecovery_ramdisk"
#define PART_ERECOVERY_VENDOR          "erecovery_vendor"
#define PART_TEEOS                     "teeos"
#define PART_TRUSTFIRMWARE             "trustfirmware"
#define PART_EXT_SENSORHUB             "ext_sensorhub"
#define PART_SENSORHUB                 "sensorhub"
#define PART_SENSORHUB_LOG_DIC         "sensorhub_log_dic"
#define PART_SENSORHUB_DATA            "sensorhub_data"
#define PART_FW_HIFI                   "fw_hifi"
#define PART_KERNEL                    "kernel"
#define PART_RAMDISK                   "ramdisk"
#define PART_RVT_SYSTEM                "rvt_system"
#define PART_RVT_VENDOR                "rvt_vendor"
#define PART_RVT_CHIP_PROD             "rvt_chip_prod"
#define PART_RVT_CUST                  "rvt_cust"
#define PART_RVT_SYS_PROD              "rvt_sys_prod"
#define PART_CHIP_PROD                 "chip_prod"
#define PART_SYS_PROD                  "sys_prod"
#define PART_RECOVERY                  "recovery"
#define PART_RECOVERY_RAMDISK          "recovery_ramdisk"
#define PART_RECOVERY_VENDOR           "recovery_vendor"
#define PART_DTS                       "dts"
#define PART_DTO                       "dto"
#define PART_DTBO                      "dtbo"
#define PART_MODEM                     "modem"
#define PART_MODEM_DSP                 "modem_dsp"
#define PART_MODEM_DTB                 "modem_dtb"
#define PART_MODEM_FW                  "modem_fw"
#define PART_MODEM_VENDOR              "modem_vendor"
#define PART_DFX                       "dfx"
#define PART_3RDMODEM                  "3rdmodem"
#define PART_CACHE                     "cache"
#define PART_SYSTEM                    "system"
#define PART_CUST                      "cust"
#define PART_ODM                       "odm"
#define PART_VARIABLE                  "variable"
#define PART_EFI                       "efi"
#define PART_ROOT                      "root"
#define PART_HOME                      "home"
#define PART_USERDATA                  "userdata"
#define PART_USERDATA2                 "userdata2"
#define PART_RESERVED                  "reserved"
#define PART_RESERVED0                 "reserved0"
#define PART_RESERVED1                 "reserved1"
#define PART_RESERVED2                 "reserved2"
#define PART_RESERVED3                 "reserved3"
#define PART_RESERVED4                 "reserved4"
#define PART_RESERVED5                 "reserved5"
#define PART_HIBENCH_IMG               "hibench_img"
#define PART_RESERVED6                 "reserved6"
#define PART_RESERVED7                 "reserved7"
#define PART_RESERVED8                 "reserved8"
#define PART_RESERVED9                 "reserved9"
#define PART_RESERVED10                 "reserved10"
#define PART_RESERVED11                 "reserved11"
#define PART_RESERVED12                 "reserved12"
#define PART_RESERVED1_lu2              "reserved1_lu2"
#define PART_RESERVED2_lu2              "reserved2_lu2"
#define PART_RESERVED3_lu2              "reserved3_lu2"
#define PART_RESERVED1_lu3              "reserved1_lu3"
#define PART_RESERVED2_lu3              "reserved2_lu3"
#define PART_RESERVED3_lu3              "reserved3_lu3"
#define PART_RESERVED1_lu4              "reserved1_lu4"
#define PART_RESERVED2_lu4              "reserved2_lu4"
#define PART_RESERVED1_lu5              "reserved1_lu5"
#define PART_RESERVED2_lu5              "reserved2_lu5"
#define PART_FW_UFSDEV                  "fw_ufsdev"
#define PART_FW_UFSDEV_A                "fw_ufsdev_a"
#define PART_FW_UFSDEV_B                "fw_ufsdev_b"
#define PART_FW_DFA                     "fw_dfa"
#define PART_HHEE                       "hhee"
#define PART_HHEE_A                     "hhee_a"
#define PART_HHEE_B                     "hhee_b"
#define PART_ISP_BOOT                  "isp_boot"
#define PART_ISP_FIRMWARE              "isp_firmware"
#define PART_ISP_DTS                   "isp_dts"
#define PART_VECTOR                    "vector"
#define PART_VERSION                   "version"
#define PART_VENDOR                    "vendor"
#define PART_VERSION                   "version"
#define PART_PRODUCT                   "product"
#define PART_PRELOAD                   "preload"
#define PART_METADATA                  "metadata"
#define PART_PREAS                     "preas"
#define PART_PREAVS                    "preavs"
#define PART_HKRR                      "hkrr"
#define PART_RVT                       "rvt"
#define PART_PRETS                     "prets"
#define PART_PRETVS                    "pretvs"
#define PART_FW_CPU_LPCTRL             "fw_cpu_lpctrl"
#define PART_FW_GPU_LPCTRL             "fw_gpu_lpctrl"
#define PART_FW_DDR_LPCTRL             "fw_ddr_lpctrl"
#define PART_THEE                      "thee"
#define PART_TZSP                      "tzsp"
#define PART_RVT                       "rvt"
#define PART_DDR_XPU_BOOT0             "ddr_xpu_boot0"
#define PART_DDR_XPU_BOOT1             "ddr_xpu_boot1"
#define PART_DDR_XPU_BOOT2             "ddr_xpu_boot2"
#define PART_UCE                       "uce"
#define PART_DDR_SWAP                  "ddr_swap"
#define PART_MSPC_CODE                 "mspc_code"
#define PART_MSPC_DATA                 "mspc_data"
#define PART_DACC                      "dacc"
#define PART_DACC_LITE                 "dacc_lite"
#define PART_CONN_CALIDATA             "conn_calidata"
#define PART_RDA_DATA                  "rda_data"
#define PART_RDA_LOG                   "rda_log"
#define PART_BOARD_ID                  "board_id"
#define PART_XLOADER_HITEST            "xloader_hitest"

/*AB*/
#define PART_PTABLE_LU2                "ptable_lu2"
#define PART_PTABLE_LU3                "ptable_lu3"
#define PART_PTABLE_LU4                "ptable_lu4"
#define PART_PTABLE_LU5                "ptable_lu5"
#define PART_PTABLE_LU6                "ptable_lu6"
#define PART_PTABLE_SSD                "ptable_ssd"
#define PART_XLOADER_A                 "xloader_a"
#define PART_XLOADER_B                 "xloader_b"
#define PART_PTABLE_ENHANCED           "ptable_enhanced"
#define PART_PTABLE_PROTECT_A          "ptable_protect_a"
#define PART_PTABLE_PROTECT_B          "ptable_protect_b"
#define PART_PTABLE_NORMAL             "ptable_normal"
#define PART_FW_LPM3_A                 "fw_lpm3_a"
#define PART_FW_LPM3_B                 "fw_lpm3_b"
#define PART_FASTBOOT_A                "fastboot_a"
#define PART_FASTBOOT_B                "fastboot_b"
#define PART_ERECOVERY_KERNEL_A        "erecovery_kernel_a"
#define PART_ERECOVERY_KERNEL_B        "erecovery_kernel_b"
#define PART_ERECOVERY_RAMDISK_A       "erecovery_ramdisk_a"
#define PART_ERECOVERY_RAMDISK_B       "erecovery_ramdisk_b"
#define PART_ERECOVERY_VENDOR_A        "erecovery_vendor_a"
#define PART_ERECOVERY_VENDOR_B        "erecovery_vendor_b"
#define PART_TEEOS_A                   "teeos_a"
#define PART_TEEOS_B                   "teeos_b"
#define PART_TRUSTFIRMWARE_A           "trustfirmware_a"
#define PART_TRUSTFIRMWARE_B           "trustfirmware_b"
#define PART_SENSORHUB_A               "sensorhub_a"
#define PART_SENSORHUB_B               "sensorhub_b"
#define PART_FW_HIFI_A                 "fw_hifi_a"
#define PART_FW_HIFI_B                 "fw_hifi_b"
#define PART_KERNEL_A                  "kernel_a"
#define PART_KERNEL_B                  "kernel_b"
#define PART_RAMDISK_A                 "ramdisk_a"
#define PART_RAMDISK_B                 "ramdisk_b"
#define PART_RECOVERY_VENDOR_B         "recovery_vendor_b"
#define PART_RECOVERY_VENDOR_A         "recovery_vendor_a"
#define PART_RECOVERY_RAMDISK_A        "recovery_ramdisk_a"
#define PART_RECOVERY_RAMDISK_B        "recovery_ramdisk_b"
#define PART_MODEMNVM_UPDATE_A         "modemnvm_update_a"
#define PART_MODEMNVM_UPDATE_B         "modemnvm_update_b"
#define PART_DTS_A                     "dts_a"
#define PART_DTS_B                     "dts_b"
#define PART_DTO_A                     "dto_a"
#define PART_DTO_B                     "dto_b"
#define PART_MODEM_FW_A                "modem_fw_a"
#define PART_MODEM_FW_B                "modem_fw_b"
#define PART_SYSTEM_A                  "system_a"
#define PART_SYSTEM_B                  "system_b"
#define PART_CUST_A                    "cust_a"
#define PART_CUST_B                    "cust_b"
#define PART_ODM_A                     "odm_a"
#define PART_ODM_B                     "odm_b"
#define PART_RESERVED2_A               "reserved2_a"
#define PART_RESERVED2_B               "reserved2_b"
#define PART_RESERVED3_A               "reserved3_a"
#define PART_RESERVED3_B               "reserved3_b"
#define PART_RESERVED4_A               "reserved4_a"
#define PART_RESERVED4_B               "reserved4_b"
#define PART_ISP_BOOT_A                "isp_boot_a"
#define PART_ISP_BOOT_B                "isp_boot_b"
#define PART_ISP_FIRMWARE_A            "isp_firmware_a"
#define PART_ISP_FIRMWARE_B            "isp_firmware_b"
#define PART_ISP_DTS_A                 "isp_dts_a"
#define PART_ISP_DTS_B                 "isp_dts_b"
#define PART_VECTOR_A                  "vector_a"
#define PART_VECTOR_B                  "vector_b"
#define PART_VERSION_A                 "version_a"
#define PART_VERSION_B                 "version_b"
#define PART_VENDOR_A                  "vendor_a"
#define PART_VENDOR_B                  "vendor_b"
#define PART_PRODUCT_A                 "product_a"
#define PART_PRODUCT_B                 "product_b"
#define PART_BOOTFAIL_INFO             "bootfail_info"
#define PART_RRECORD                   "rrecord"
#define PART_PATCH                     "patch"
#define PART_PATCH_A                   "patch_a"
#define PART_PATCH_B                   "patch_b"
#define PART_SEPLAT                    "seplat"
#define PART_MODEM_SECURE              "modem_secure"
#define PART_DDR_PARA                 "ddr_para"
#define PART_HIBENCH_DATA             "hibench_data"
#define PART_HIBENCH_LOG              "hibench_log"
#define PART_HIBENCH_LPM3             "hibench_lpm3"
#define PART_MODEMNVM_CUST_A          "modemnvm_cust_a"
#define PART_MODEMNVM_CUST_B          "modemnvm_cust_b"
#define PART_MODEMNVM_CUST            "modemnvm_cust"
#define PART_UPDATER_RVT              "update_rvt"
#define PART_UPDATER_BAK_RVT          "update_bak_rvt"
#define PART_HDCP                     "hdcp"
#define PART_HDCP_A                   "hdcp_a"
#define PART_HDCP_B                   "hdcp_b"
#define PART_VENC                     "venc"
#define PART_VERITYKEY                "veritykey"
#define PART_CTF                      "certification"
#define PART_VBMETA_A                 "vbmeta_a"
#define PART_VBMETA_B                 "vbmeta_b"
#define PART_VBMETA                   "vbmeta"
#define PART_RECOVERY_VBMETA          "recovery_vbmeta"
#define PART_RECOVERY_VBMETA_A        "recovery_vbmeta_a"
#define PART_RECOVERY_VBMETA_B        "recovery_vbmeta_b"
#define PART_ERECOVERY_VBMETA         "erecovery_vbmeta"
#define PART_ERECOVERY_VBMETA_A       "erecovery_vbmeta_a"
#define PART_ERECOVERY_VBMETA_B       "erecovery_vbmeta_b"
#define PART_FLASH_AGEING             "flash_ageing"
#define PART_ENG_SYSTEM_A             "eng_system_a"
#define PART_ENG_SYSTEM_B             "eng_system_b"
#define PART_ENG_VENDOR_A             "eng_vendor_a"
#define PART_ENG_VENDOR_B             "eng_vendor_b"
#define PART_ENG_SYSTEM               "eng_system"
#define PART_ENG_VENDOR               "eng_vendor"
#define PART_ENG_CHIPSET              "eng_chipset"
#define PART_PRELOAD_A                "preload_a"
#define PART_PRELOAD_B                "preload_b"
#define PART_IVP                      "ivp"
#define PART_LOWPOWER_PARA            "lowpower_para"
#define PART_BATT_TP_PARA             "batt_tp_para"
#define PART_MODEM_PATCH_NV_A         "modem_patch_nv_a"
#define PART_MODEM_PATCH_NV_B         "modem_patch_nv_b"
#define PART_MODEM_PATCH_NV           "modem_patch_nv"
#define PART_MODEM_DRIVER_A           "modem_driver_a"
#define PART_MODEM_DRIVER_B           "modem_driver_b"
#define PART_MODEM_DRIVER             "modem_driver"
#define PART_DICE                     "dice"
#define PART_NPU                      "npu"
#define PART_BL2                      "bl2"
#define PART_VBMETA_SYSTEM            "vbmeta_system"
#define PART_VBMETA_SYSTEM_A          "vbmeta_system_a"
#define PART_VBMETA_SYSTEM_B          "vbmeta_system_b"
#define PART_VBMETA_VENDOR            "vbmeta_vendor"
#define PART_VBMETA_VENDOR_A          "vbmeta_vendor_a"
#define PART_VBMETA_VENDOR_B          "vbmeta_vendor_b"
#define PART_VBMETA_ODM               "vbmeta_odm"
#define PART_VBMETA_ODM_A             "vbmeta_odm_a"
#define PART_VBMETA_ODM_B             "vbmeta_odm_b"
#define PART_VBMETA_CUST              "vbmeta_cust"
#define PART_VBMETA_CUST_A            "vbmeta_cust_a"
#define PART_VBMETA_CUST_B            "vbmeta_cust_b"
#define PART_HW_PRODUCT               "hw_product"
#define PART_VBMETA_HW_PRODUCT        "vbmeta_hw_product"
#define PART_VBMETA_HW_PRODUCT_A      "vbmeta_hw_product_a"
#define PART_VBMETA_HW_PRODUCT_B      "vbmeta_hw_product_b"
#define PART_BOOT                     "boot"
#define PART_BOOT_A                   "boot_a"
#define PART_BOOT_B                   "boot_b"
#define PART_SUPER                    "super"
#define PART_FTTEST                   "fttest"
#define PART_DDRTEST                  "ddrtest"
#define PART_HW_PRODUCT_A             "hw_product_a"
#define PART_HW_PRODUCT_B             "hw_product_b"
#define PART_SECURITY_DTB             "security_dtb"
#define PART_FW_DTB                   "fw_dtb"
#define PART_SECFLASH_AGEING          "secflash_ageing"
#define PART_TOC                      "toc"
#define PART_VRL_A                    "vrl_a"
#define PART_VRL_B                    "vrl_b"
#define PART_VRL_BACKUP_A             "vrl_backup_a"
#define PART_VRL_BACKUP_B             "vrl_backup_b"
#define PART_BL2_A                    "bl2_a"
#define PART_BL2_B                    "bl2_b"
#define PART_NPU_A                    "npu_a"
#define PART_NPU_B                    "npu_b"
#define PART_IVP_A                    "ivp_a"
#define PART_IVP_B                    "ivp_b"
#define PART_ERECOVERY_A              "erecovery_a"
#define PART_ERECOVERY_B              "erecovery_b"
#define PART_RECOVERY_A               "recovery_a"
#define PART_RECOVERY_B               "recovery_b"
#define PART_BOOT_CTRL                "boot_ctrl"
#define PART_KPATCH_A                 "kpatch_a"
#define PART_KPATCH_B                 "kpatch_b"
#define PART_MODEM_SECURE_A           "modem_secure_a"
#define PART_MODEM_SECURE_B           "modem_secure_b"
#define PART_NVME_A                   "nvme_a"
#define PART_NVME_B                   "nvme_b"
#define PART_MODEMNVM_FACTORY_A       "modemnvm_factory_a"
#define PART_MODEMNVM_FACTORY_B       "modemnvm_factory_b"
#define PART_MODEMNVM_BACKUP_A        "modemnvm_backup_a"
#define PART_MODEMNVM_BACKUP_B        "modemnvm_backup_b"
#define PART_MODEMNVM_IMG_A           "modemnvm_img_a"
#define PART_MODEMNVM_IMG_B           "modemnvm_img_b"
#define PART_LOWPOWER_PARA_A          "lowpower_para_a"
#define PART_LOWPOWER_PARA_B          "lowpower_para_b"
#define PART_SECURITY_DTB_A           "security_dtb_a"
#define PART_SECURITY_DTB_B           "security_dtb_b"
#define PART_DTBO_A                   "dtbo_a"
#define PART_DTBO_B                   "dtbo_b"
#define PART_RECOVERYAB_RESERVED      "recovery_reserved"
#define PART_PREAS_A                  "preas_a"
#define PART_PREAS_B                  "preas_b"
#define PART_PREAVS_A                 "preavs_a"
#define PART_PREAVS_B                 "preavs_b"
#define PART_FW_DTB_A                 "fw_dtb_a"
#define PART_FW_DTB_B                 "fw_dtb_b"
#define PART_UEFIBIOS                 "uefibios"

#define PART_RDA_DTB                   "rda_dtb"
#define PART_RDA_DTB_A                 "rda_dtb_a"
#define PART_RDA_DTB_B                 "rda_dtb_b"
#define PART_SUPER_A                   "super_a"
#define PART_SUPER_B                   "super_b"
#define PART_MICROVISOR                "microvisor"
#define PART_MICROVISOR_A              "microvisor_a"
#define PART_MICROVISOR_B              "microvisor_b"
#define PART_RDA_RAMDISK               "rda_ramdisk"
#define PART_RDA_RAMDISK_A             "rda_ramdisk_a"
#define PART_RDA_RAMDISK_B             "rda_ramdisk_b"


#define PART_SAFETY_ISLAND             "safety_island"
#define PART_SAFETY_ISLAND_A           "safety_island_a"
#define PART_SAFETY_ISLAND_B           "safety_island_b"
#define PART_MONITOR_ISLAND_A          "monitor_island_a"
#define PART_MONITOR_ISLAND_B          "monitor_island_b"

#define PART_FW_CPU_LPCTRL_A             "fw_cpu_lpctrl_a"
#define PART_FW_CPU_LPCTRL_B             "fw_cpu_lpctrl_b"
#define PART_FW_GPU_LPCTRL_A             "fw_gpu_lpctrl_a"
#define PART_FW_GPU_LPCTRL_B             "fw_gpu_lpctrl_b"
#define PART_FW_DDR_LPCTRL_A             "fw_ddr_lpctrl_a"
#define PART_FW_DDR_LPCTRL_B             "fw_ddr_lpctrl_b"
#define PART_THEE_A                      "thee_a"
#define PART_THEE_B                      "thee_b"
#define PART_TZSP_A                      "tzsp_a"
#define PART_TZSP_B                      "tzsp_b"
#define PART_DDR_XPU_BOOT0_A             "ddr_xpu_boot0_a"
#define PART_DDR_XPU_BOOT0_B             "ddr_xpu_boot0_b"
#define PART_DDR_XPU_BOOT1_A             "ddr_xpu_boot1_a"
#define PART_DDR_XPU_BOOT1_B             "ddr_xpu_boot1_b"
#define PART_DDR_SWAP_A                  "ddr_swap_a"
#define PART_DDR_SWAP_B                  "ddr_swap_b"
#define PART_MSPC_CODE_A                 "mspc_code_a"
#define PART_MSPC_CODE_B                 "mspc_code_b"
#define PART_DICE_A                      "dice_a"
#define PART_DICE_B                      "dice_b"
#define PART_RDA_A                       "rda_a"
#define PART_RDA_B                       "rda_b"
#define PART_RDA_VENDOR_A                "rda_vendor_a"
#define PART_RDA_VENDOR_B                "rda_vendor_b"
#define PART_RDA_PRODUCT_A               "rda_product_a"
#define PART_RDA_PRODUCT_B               "rda_product_b"
#define PART_DACC_A                      "dacc_a"
#define PART_DACC_B                      "dacc_b"
#define PART_DACC_LITE_A                 "dacc_lite_a"
#define PART_DACC_LITE_B                 "dacc_lite_b"
#define PART_VENC_A                      "venc_a"
#define PART_VENC_B                      "venc_b"

/* for ate slt */
#define PART_HITEST_GPU                "hitest_gpu"
#define PART_HITEST_ASP_DHRYSTONE      "hitest_asp_dhrystone"
#define PART_HITEST_ASP_TEST           "hitest_asp_test"
#define PART_HITEST_SENSORHUB          "hitest_sensorhub"
#define PART_HITEST_ISP                "hitest_isp"
#define PART_HITEST_ISP_AVS            "hitest_isp_avs"
#define PART_HITEST_NPU                "hitest_npu"
#define PART_HITEST_DSS                "hitest_dss"
#define PART_DSS_DISP_BUF              "dss_disp_buf"
#define PART_HITEST_JPEGENC            "hitest_jpegenc"
#define PART_HITEST_HIPP               "hitest_hipp"
#define PART_HITEST_LPM3               "hitest_lpm3"
#define PART_HITEST_SAFETY_ISLAND      "hitest_safety_island"
#define PART_VCODE_DATA                "vcodec_data"
#define PART_VCODE_MAX_DATA            "vcodec_max_data"
#define PART_JPEG_DEC_TEST_SRC         "jpeg_dec_test_src"
#define PART_JPEG_DEC_TEST_DEST        "jpeg_dec_test_dest"
#define PART_MODEM_TSP_TEST            "modem_tsp_test"
#define PART_MODEM_MTEE                "modem_mtee"
#define PART_MODEM_TSP_DT              "modem_tsp_dt"
#define PART_MODEM_TSP_AVS             "modem_tsp_avs"
#define PART_MODEM_PDE_TEST            "modem_pde_test"
#define PART_MODEM_VECTOR_CONFIG       "modem_vector_config"
#define PART_MODEM_L2DLE               "modem_l2dle"
#define PART_MODEM_L2DLE_TEST          "modem_l2dle_test"
#define PART_MODEM_BBP_TEST            "modem_bbp_test"
#define PART_MODEM_PSA_TEST            "modem_psa_test"
#define PART_HITEST_FFRT               "hitest_ffrt"

#define PART_UPDATER_RAMDISK           "updater_ramdisk"
#define PART_UPDATER_RAMDISK_BAK       "updater_ramdisk_bak"
#define PART_UPDATER_VENDOR            "updater_vendor"
#define PART_UPDATER_VENDOR_BAK        "updater_vendor_bak"
#define PART_UPDATER_BOOT              "updater_boot"
#define PART_UPDATER_BOOT_BAK          "updater_boot_bak"
#define PART_MICROVISOR_RECOVERY_A     "microvisor_recovery_a"
#define PART_MICROVISOR_RECOVERY_B     "microvisor_recovery_b"
#define PART_RDA_OEMINFO               "rda_oeminfo"
#define PART_RDA_RECOVERY_DFX          "rda_recovery_dfx"
#define PART_CDC_DATA                  "cdc_data"
#define PART_FW_VERSION                "fw_version"
#define PART_MCU                       "mcu"
#define PART_ESP                       "esp"
#define PART_SECURE_TEE                "secure_tee"
#define PART_UEFI_LOGO                 "uefi_logo"
#define PART_UEFI_VB                   "uefi_vb"
#define PART_HDMI                      "hdmi"
#define PART_OEMINFO_NOR               "oeminfo_nor"
#define PART_RPM_MAC                   "rpm_mac"
#define PART_UAPP                      "uapp"
#define PART_VERIFI_BOOT               "verifi_boot"
#define PART_UEFI                      "uefi"
#define PART_HIBENCH1_LOG              "hibench1_log"
#define PART_PANEL_CALIBRATION         "panel_calibration"

#ifdef CONFIG_PRODUCT_ARMPC
#define PART_ATF_FILE PART_RESERVED2
#else
#define PART_ATF_FILE PART_RESERVED1
#endif

#ifdef __OHOS__
#undef PART_RECOVERY
#undef PART_RECOVERY_RAMDISK
#undef PART_RECOVERY_VENDOR
#undef PART_ERECOVERY
#undef PART_ERECOVERY_RAMDISK
#undef PART_ERECOVERY_VENDOR

#define PART_RECOVERY          PART_UPDATER_BOOT
#define PART_RECOVERY_RAMDISK  PART_UPDATER_RAMDISK
#define PART_RECOVERY_VENDOR   PART_UPDATER_VENDOR
#define PART_ERECOVERY         PART_UPDATER_BOOT_BAK
#define PART_ERECOVERY_RAMDISK PART_UPDATER_RAMDISK_BAK
#define PART_ERECOVERY_VENDOR  PART_UPDATER_VENDOR_BAK
#endif

#endif
