/*
 * mphy-unipro.h
 *
 * basic macro for ufs
 *
 * Copyright (c) Huawei Technologies Co., Ltd. 2019. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 and
 * only version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */

#ifndef _MPHY_UNIPRO_H_
#define _MPHY_UNIPRO_H_


/* M-COMMON Configuration Attributes */
#define CBC10DIRECTCONFBS				0x8101
#define CBC10DIRECTCONFMPLLA1				0x8102
#define CBC10DIRECTCONFMPLLA2				0x8103
#define CBC10DIRECTCONFMPLLA3				0x8104
#define CBC10DIRECTCONFMPLLA4				0x8105
#define CBC10DIRECTCONFMPLLB1				0x8106
#define CBC10DIRECTCONFMPLLB2				0x8107
#define CBC10DIRECTCONFMPLLB3				0x8108
#define CBC10DIRECTCONFMPLLB4				0x8109
#define CBC10DIRECTCONFMPLLB5				0x810a
#define CBC10DIRECTCONFMPLLB6				0x810b
#define CBC10DIRECTCONFMPLLB7				0x810c
#define CBC10DIRECTCONF1				0x810d
#define CBC10DIRECTCONF2				0x810e
#define CBINTPLLCONF1					0x810f
#define CBINTPLLCONF2					0x8110
#define CBINTDCOCONF1					0x8111
#define CBINTDCOCONF2					0x8112
#define CBENBLCPBATTRWR					0x8113
#define CBRATESEL					0x8114
#define CBDCOTARGET					0x8115
#define CBCREGADDRLSB					0x8116
#define CBCREGADDRMSB					0x8117
#define CBCREGWRLSB					0x8118
#define CBCREGWRMSB					0x8119
#define CBCREGRDLSB					0x811a
#define CBCREGRDMSB					0x811b
#define CBCREGRDWRSEL					0x811c
#define CBREFCLKCTRL					0x811d
#define CBPGCTRL					0x811e
#define CBCRCTRL					0x811f
#define CBOVRCTRL1					0x8120
#define CBOVRCTRL2					0x8121
#define CBOVRCTRL3					0x8122
#define CBTERMBYPASS1					0x8123
#define CBTERMBYPASS2					0x8124
#define CBTERMBYPASS3					0x8125
#define CBTERMBYPASS4					0x8126
#define CBOVRCTRL4					0x8127
#define CBOVRCTRL5					0x8128
#define CBOVRCTRL6					0x8129
#define CBUPLH8						0x8130
#define CBREFCLKCTRL1					0x8131
#define CBREFCLKCTRL2					0x8132
#define CBREFCLKCTRL3					0x8133
#define CBREFCLKCTRL4					0x8134
#define MPLL_BW_RATEA_REF19_2_LSB			0x8135
#define MPLL_BW_RATEA_REF19_2_MSB			0x8136
#define MPLL_BW_RATEA_REF26_0_LSB			0x8137
#define MPLL_BW_RATEA_REF26_0_MSB			0x8138
#define MPLL_BW_RATEA_REF38_4_LSB			0x8139
#define MPLL_BW_RATEA_REF38_4_MSB			0x813a
#define MPLL_BW_RATEA_REF52_0_LSB			0x813b
#define MPLL_BW_RATEA_REF52_0_MSB			0x813c
#define MPLL_BW_RATEB_REF19_2_LSB			0x813d
#define MPLL_BW_RATEB_REF19_2_MSB			0x813e
#define MPLL_BW_RATEB_REF26_0_LSB			0x813f
#define MPLL_BW_RATEB_REF26_0_MSB			0x8140
#define MPLL_BW_RATEB_REF38_4_LSB			0x8141
#define MPLL_BW_RATEB_REF38_4_MSB			0x8142
#define MPLL_BW_RATEB_REF52_0_LSB			0x8143
#define MPLL_BW_RATEB_REF52_0_MSB			0x8144
#define MPLL_MULT_RATEA_19_2				0x8145
#define MPLL_MULT_RATEA_26_0				0x8146
#define MPLL_MULT_RATEA_38_4				0x8147
#define MPLL_MULT_RATEA_52_0				0x8148
#define MPLL_MULT_RATEB_19_2				0x8149
#define MPLL_MULT_RATEB_26_0				0x814a
#define MPLL_MULT_RATEB_38_4				0x814b
#define MPLL_MULT_RATEB_52_0				0x814c
#define EXT_COARSE_TUNE_RATEA				0x814d
#define EXT_COARSE_TUNE_RATEB				0x814e
#define RATE_CHANGE_SUPPORT				0x814f

/* M-RX Implementation Configuration Attributes */
#define RXC10DIRECTCONF1				0x8001
#define RXC10DIRECTCONF2				0x8002
#define RXC10DIRECTCONF3				0x8003
#define RXC10DIRECTCONF4				0x8004
#define RXC10DIRECTCONF5				0x8005
#define RXC10DIRECTCONF6				0x8006
#define RXALIGNCONF					0x8007
#define RXINTCONTROL					0x8008
#define RXSQCONTROL					0x8009
#define RXOVRCTRL1					0x800a
#define RXOVRCTRL2					0x800b
#define RXOVRCTRL3					0x800c
#define RXOVRCTRL4					0x800d
#define RXOVRCTRL5					0x800e
#define RXOVRCTRL6					0x800f
#define RXC10DIRECTCONF7				0x8010
#define RXLINERSTCFGMSB					0x8011
#define RXLINERSTCFGLSB					0x8012
#define RXRHOLDCTRLOPT					0x8013
#define RX_ADAPT_DISABLE				0x8014
#define RX_ADAPT_DONE_CNTR				0x8015
#define RX_ADAPT_ABORT_CNTR				0x8016
#define RX_ADAPT_BIT_ERROR				0x8017
#define RXOVRCTRL7					0x8018
#define REFLD_RATEA_19_2				0x8019
#define REFLD_RATEA_26_0				0x801a
#define REFLD_RATEA_38_4				0x801b
#define REFLD_RATEA_52_0				0x801c
#define REFLD_RATEB_19_2				0x801d
#define REFLD_RATEB_26_0				0x801e
#define REFLD_RATEB_38_4				0x801f
#define REFLD_RATEB_52_0				0x8020
#define VCOLD_RATEA_19_2_LSB				0x8021
#define VCOLD_RATEA_19_2_MSB				0x8022
#define VCOLD_RATEA_26_0_LSB				0x8023
#define VCOLD_RATEA_26_0_MSB				0x8024
#define VCOLD_RATEA_38_4_LSB				0x8025
#define VCOLD_RATEA_38_4_MSB				0x8026
#define VCOLD_RATEA_52_0_LSB				0x8027
#define VCOLD_RATEA_52_0_MSB				0x8028
#define VCOLD_RATEB_19_2_LSB				0x8029
#define VCOLD_RATEB_19_2_MSB				0x802a
#define VCOLD_RATEB_26_0_LSB				0x802b
#define VCOLD_RATEB_26_0_MSB				0x802c
#define VCOLD_RATEB_38_4_LSB				0x802d
#define VCOLD_RATEB_38_4_MSB				0x802e
#define VCOLD_RATEB_52_0_LSB				0x802f
#define VCOLD_RATEB_52_0_MSB				0x8030

/* M-RX Spec Configuration Attributes */
#define RX_HSMODE_CAPABILITY				0x0081
#define RX_HSGEAR_CAPABILITY				0x0082
#define RX_PWMG0_CAPABILITY				0x0083
#define RX_PWMGEAR_CAPABILITY				0x0084
#define RX_HS_UNTERMINATED_CAPABILITY			0x0085
#define RX_LS_TERMINATED_CAPABILITY			0x0086
#define RX_MIN_SLEEP_NOCONFIG_TIME_CAPABILITY		0x0087
#define RX_MIN_STALL_NOCONFIG_TIME_CAPABILITY		0x0088
#define RX_MIN_SAVE_CONFIG_TIME_CAPABILITY		0x0089
#define RX_REF_CLOCK_SHARED_CAPABILITY			0x008a
#define RX_HS_G1_SYNC_LENGTH_CAPABILITY			0x008b
#define RX_HS_G1_PREPARE_LENGTH_CAPABILITY		0x008c
#define RX_LS_PREPARE_LENGTH_CAPABILITY			0x008d
#define RX_PWM_BURST_CLOSURE_LENGTH_CAPABILITY		0x008e
#define RX_MIN_ACTIVATETIME_CAPABILITY			0x008f
#define RX_PHY_MAJORMINOR_RELEASE_CAPABILITY		0x0090
#define RX_PHY_EDITORIAL_RELEASE_CAPABILITY		0x0091
#define RX_HIBERN8TIME_CAPABILITY			0x0092
#define RX_PWM_G6_G7_SYNC_LENGTH_CAPABILITY		0x0093
#define RX_HS_G2_SYNC_LENGTH_CAPABILITY			0x0094
#define RX_HS_G3_SYNC_LENGTH_CAPABILITY			0x0095
#define RX_HS_G2_PREPARE_LENGTH_CAPABILITY		0x0096
#define RX_HS_G3_PREPARE_LENGTH_CAPABILITY		0x0097
#define RX_ADVANCED_GRANULARITY_CAPABILITY		0x0098
#define RX_ADVANCED_HIBERN8TIME_CAPABILITY		0x0099
#define RX_ADVANCED_MIN_ACTIVATETIME_CAPABILITY		0x009a
#define RX_HS_G4_SYNC_LENGTH_CAPABILITY			0x009b
#define RX_HS_G4_PREPARE_LENGTH_CAPABILITY		0x009c
#define RX_HS_EQUALIZER_SETTING_CAPABILITY		0x009d
#define RX_HS_ADAPT_REFRESH_CAPABILITY			0x009e
#define RX_HS_ADAPT_INITIAL_CAPABILITY			0x009f
#define RX_MODE						0x00a1
#define RX_HSRATE_SERIES				0x00a2
#define RX_HSGEAR					0x00a3
#define RX_PWMGEAR					0x00a4
#define RX_LS_TERMINATED_ENABLE				0x00a5
#define RX_HS_UNTERMINATED_ENABLE			0x00a6
#define RX_ENTER_HIBERNATE				0x00a7
#define RX_BYPASS_8B10B_ENABLE				0x00a8
#define RX_TERMINATION_FORCE_ENABLE			0x00a9
#define RX_ADAPT_CONTROL				0x00aa
#define RX_RECEIVER_POLARITY				0x00ab
#define RX_FSM_STATE					0x00c1
#define RX_ERR_STATUS					0x00C4
#define RX_SYM_ERR_COUNTER_HS				0x00C5
#define OMC_TYPE_CAPABILITY				0x00d1
#define MC_HSMODE_CAPABILITY				0x00d2
#define MC_HSGEAR_CAPABILITY				0x00d3
#define MC_HS_START_TIME_VAR_CAPABILITY			0x00d4
#define MC_HS_START_TIME_RANGE_CAPABILITY		0x00d5
#define MC_RX_SA_CAPABILITY				0x00d6
#define MC_RX_LA_CAPABILITY				0x00d7
#define MC_LS_PREPARE_LENGTH				0x00d8
#define MC_PWMG0_CAPABILITY				0x00d9
#define MC_PWMGEAR_CAPABILITY				0x00da
#define MC_LS_TERMINATED_CAPABILITY			0x00db
#define MC_HS_UNTERMINATED_CAPABILITY			0x00dc
#define MC_LS_TERMINATED_LINE_DRIVE_CAPABILITY		0x00dd
#define MC_HS_UNTERMINATED_LINE_DRIVE_CAPABILITY	0x00de
#define MC_MFG_ID_PART1					0x00df
#define MC_MFG_ID_PART2					0x00e0
#define MC_PHY_MAJORMINOR_RELEASE_CAPABILITY		0x00e1
#define MC_PHY_EDITORIAL_RELEASE_CAPABILITY		0x00e2
#define MC_VENDOR_INFO_PART1				0x00e3
#define MC_VENDOR_INFO_PART2				0x00e4
#define MC_VENDOR_INFO_PART3				0x00e5
#define MC_VENDOR_INFO_PART4				0x00e6

/* M-TX Implementation Configuration Attributes */
#define TXC10DIRECTCONF1				0x8001
#define TXC10DIRECTCONF2				0x8002
#define TXC10DIRECTCONF3				0x8003
#define TXC10DIRECTCONF4				0x8004
#define TXC10DIRECTCONF5				0x8005
#define TXC10DIRECTCONF6				0x8006
#define TXC10DIRECTCONF7				0x8007
#define TXC10DIRECTCONF8				0x8008
#define TXLINERSTCFGMSB					0x8009
#define TXLINERSTCFGLSB					0x800a
#define TX_TRIGGER_ERR					0x800b
#define TXBURST_CNT_TH					0x800c
#define EXTENDED_T_HIBERN8_ENTER_TX			0x800d
#define FAST_TX_DISABLE					0x800e

/* M-TX Spec Configuration Attributes */
#define TX_HSMODE_CAPABILITY				0x0001
#define TX_HSGEAR_CAPABILITY				0x0002
#define TX_PWMG0_CAPABILITY				0x0003
#define TX_PWMGEAR_CAPABILITY				0x0004
#define TX_AMPLITUDE_CAPABILITY				0x0005
#define TX_EXTERNALSYNC_CAPABILITY			0x0006
#define TX_HS_UNTERMINATED_LINE_DRIVE_CAPABILITY	0x0007
#define TX_LS_TERMINATED_LINE_DRIVE_CAPABILITY		0x0008
#define TX_MIN_SLEEP_NOCONFIG_TIME_CAPABILITY		0x0009
#define TX_MIN_STALL_NOCONFIG_TIME_CAPABILITY		0x000a
#define TX_MIN_SAVE_CONFIG_TIME_CAPABILITY		0x000b
#define TX_REF_CLOCK_SHARED_CAPABILITY			0x000c
#define TX_PHY_MAJORMINOR_RELEASE_CAPABILITY		0x000d
#define TX_PHY_EDITORIAL_RELEASE_CAPABILITY		0x000e
#define TX_HIBERN8TIME_CAPABILITY			0x000F
#define TX_ADVANCED_GRANULARITY_CAPABILITY		0x0010
#define TX_ADVANCED_HIBERN8TIME_CAPABILITY		0x0011
#define TX_HS_EQUALIZER_SETTING_CAPABILITY		0x0012
#define TX_MODE						0x0021
#define TX_HSRATE_SERIES				0x0022
#define TX_HSGEAR					0x0023
#define TX_PWMGEAR					0x0024
#define TX_AMPLITUDE					0x0025
#define TX_HS_SLEWRATE					0x0026
#define TX_SYNC_SOURCE					0x0027
#define TX_HS_SYNC_LENGTH				0x0028
#define TX_HS_PREPARE_LENGTH				0x0029
#define TX_LS_PREPARE_LENGTH				0x002A
#define TX_HIBERN8_CONTROL				0x002B
#define TX_LCC_ENABLE					0x002C
#define TX_PWM_BURST_CLOSURE_EXTENSION			0x002D
#define TX_BYPASS_8B10B_ENABLE				0x002E
#define TX_DRIVER_POLARITY				0x002F
#define TX_HS_UNTERMINATED_LINE_DRIVE_ENABLE		0x0030
#define TX_LS_TERMINATED_LINE_DRIVE_ENABLE		0x0031
#define TX_LCC_SEQUENCER				0x0032
#define TX_MIN_ACTIVATETIME				0x0033
#define TX_PWM_G6_G7_SYNC_LENGTH			0x0034
#define TX_ADVANCED_GRANULARITY_STEP			0x0035
#define TX_ADVANCED_GRANULARITY				0x0036
#define TX_HS_EQUALIZER_SETTING				0x0037
#define TX_MIN_SLEEP_NOCONFIG_TIME			0x0038
#define TX_MIN_STALL_NOCONFIG_TIME			0x0039
#define TX_HS_ADAPT_LENGTH				0x003a
#define TX_FSM_STATE					0x0041
#define MC_OUTPUT_AMPLITUDE				0x0061
#define MC_HS_UNTERMINATED				0x0062
#define MC_LS_UNTERMINATED				0x0063
#define MC_HS_UNTERMINATED_LINE_DRIVE_ENABLE		0x0064
#define MC_LS_TERMINATED_LINE_DRIVE_ENABLE		0x0065

/* PHY4 */
#define RX_AFE_CTRL_VI				0x0017
#define K_OS_STATE_EN				(0x1 << 7)

/* PHY Adpater attributes */
#define PA_PHYTYPE					0x1500
#define PA_AVAILTXDATALANES				0x1520
#define PA_AVAILRXDATALANES				0x1540
#define PA_MINRXTRAILINGCLOCKS				0x1543
#define PA_TXHSG1SYNCLENGTH				0x1552
#define PA_TXHSG1PREPARELENGTH				0x1553
#define PA_TXHSG2SYNCLENGTH				0x1554
#define PA_TXHSG2PREPARELENGTH				0x1555
#define PA_TXHSG3SYNCLENGTH				0x1556
#define PA_TXHSG3PREPARELENGTH				0x1557
#define PA_TXMK2EXTENSION				0x155a
#define PA_PEERSCRAMBLING				0x155b
#define PA_TXSKIP					0x155c
#define PA_TXSKIPPERIOD					0x155d
#define PA_LOCAL_TX_LCC_ENABLE				0x155e
#define PA_PEER_TX_LCC_ENABLE				0x155f
#define PA_ACTIVETXDATALANES				0x1560
#define PA_CONNECTEDTXDATALANES				0x1561
#define PA_TXTRAILINGCLOCKS				0x1564
#define PA_TXPWRSTATUS					0x1567
#define PA_TXGEAR					0x1568
#define PA_TXTERMINATION				0x1569
#define PA_HSSERIES					0x156a
#define PA_PWRMODE					0x1571
#define PA_ACTIVERXDATALANES				0x1580
#define PA_CONNECTEDRXDATALANES				0x1581
#define PA_RXPWRSTATUS					0x1582
#define PA_RXGEAR					0x1583
#define PA_RXTERMINATION				0x1584
#define PA_SCRAMBLING					0x1585
#define PA_MAXRXPWMGEAR					0x1586
#define PA_MAXRXHSGEAR					0x1587
#define PA_PACPREQTIMEOUT				0x1590
#define PA_PACPREQEOBTIMEOUT				0x1591
#define PA_REMOTEVERINFO				0x15a0
#define PA_LOGICALLANEMAP				0x15a1
#define PA_SLEEPNOCONFIGTIME				0x15a2
#define PA_STALLNOCONFIGTIME				0x15a3
#define PA_SAVECONFIGTIME				0x15a4
#define PA_RXHSUNTERMCAP				0x15a5
#define PA_RXLSTERMINATIONCAPABILITY			0x15a6
#define PA_HIBERN8TIME					0x15a7
#define PA_TACTIVATE					0x15a8
#define PA_LOCALVERINFO					0x15a9
#define PA_GRANULARITY					0x15aa
#define PA_MK2EXTENSIONGUARDBAND			0x15ab
#define PA_PWRMODEUSERDATA0				0x15b0
#define PA_PWRMODEUSERDATA1				0x15b1
#define PA_PWRMODEUSERDATA2				0x15b2
#define PA_PWRMODEUSERDATA3				0x15b3
#define PA_PWRMODEUSERDATA4				0x15b4
#define PA_PWRMODEUSERDATA5				0x15b5
#define PA_PWRMODEUSERDATA6				0x15b6
#define PA_PWRMODEUSERDATA7				0x15b7
#define PA_PWRMODEUSERDATA8				0x15b8
#define PA_PWRMODEUSERDATA9				0x15b9
#define PA_PWRMODEUSERDATA10				0x15ba
#define PA_PWRMODEUSERDATA11				0x15bb
#define PA_PACPFRAMECOUNT				0x15c0
#define PA_PACPERRORCOUNT				0x15c1
#define PA_PHYTESTCONTROL				0x15c2
#define PA_TXHSG4SYNCLENGTH				0x15d0
#define PA_TXHSG4PREPARELENGTH				0x15d1
#define PA_PEERRXHSADAPTREFRESH				0x15d2
#define PA_PEERRXHSADAPTINITIAL				0x15d3
#define PA_TXHSADAPTTYPE				0x15d4
#define PA_ADAPTAFTERLRSTINPA_INIT			0x15d5

/* Data Link Layer Attributes */
#define DL_TXPREEMPTIONCAP				0x2000
#define DL_TC0TXMAXSDUSIZE				0x2001
#define DL_TC0RXINITCREDITVAL				0x2002
#define DL_TC1TXMAXSDUSIZE				0x2003
#define DL_TC1RXINITCREDITVAL				0x2004
#define DL_TC0TXBUFFERSIZE				0x2005
#define DL_TC1TXBUFFERSIZE				0x2006
#define DL_TC0TXFCTHRESHOLD				0x2040
#define DL_FC0PROTTIMEOUTVAL				0x2041
#define DL_TC0REPLAYTIMEOUTVAL				0x2042
#define DL_AFC0REQTIMEOUTVAL				0x2043
#define DL_AFC0CREDITTHRESHOLD				0x2044
#define DL_TC0OUTACKTHRESHOLD				0x2045
#define DL_PEERTC0PRESENT				0x2046
#define DL_PEERTC0RXINITCREVAL				0x2047
#define DL_TC1TXFCTHRESHOLD				0x2060
#define DL_FC1PROTTIMEOUTVAL				0x2061
#define DL_TC1REPLAYTIMEOUTVAL				0x2062
#define DL_AFC1REQTIMEOUTVAL				0x2063
#define DL_AFC1CREDITTHRESHOLD				0x2064
#define DL_TC1OUTACKTHRESHOLD				0x2065
#define DL_PEERTC1PRESENT				0x2066
#define DL_PEERTC1RXINITCREVAL				0x2067
#define DL_REINITCOUNT					0x2100

/* Network Layer Attributes */
#define N_DEVICEID					0x3000
#define N_DEVICEID_VALID				0x3001
#define N_TC0TXMAXSDUSIZE				0x3020
#define N_TC1TXMAXSDUSIZE				0x3021

/* Transport Layer Attributes */
#define T_NUMCPORTS					0x4000
#define T_NUMTESTFEATURES				0x4001
#define T_CONNECTIONSTATE				0x4020
#define T_PEERDEVICEID					0x4021
#define T_PEERCPORTID					0x4022
#define T_TRAFFICCLASS					0x4023
#define T_PROTOCOLID					0x4024
#define T_CPORTFLAGS					0x4025
#define T_TXTOKENVALUE					0x4026
#define T_RXTOKENVALUE					0x4027
#define T_LOCALBUFFERSPACE				0x4028
#define T_PEERBUFFERSPACE				0x4029
#define T_CREDITSTOSEND					0x402A
#define T_CPORTMODE					0x402B
#define T_TC0TXMAXSDUSIZE				0x4060
#define T_TC1TXMAXSDUSIZE				0x4061
#define T_TSTCPORTID					0x4080
#define T_TSTSRCON					0x4081
#define T_TSTSRCPATTERN					0x4082
#define T_TSTSRCINCREMENT				0x4083
#define T_TSTSRCMESSAGESIZE				0x4084
#define T_TSTSRCMESSAGECOUNT				0x4085
#define T_TSTSRCINTERMESSAGEGAP				0x4086
#define T_TSTDSTON					0x40a1
#define T_TSTDSTERRORDETECTIONENABLE			0x40a2
#define T_TSTDSTPATTERN					0x40a3
#define T_TSTDSTINCREMENT				0x40a4
#define T_TSTDSTMESSAGECOUNT				0x40a5
#define T_TSTDSTMESSAGEOFFSET				0x40a6
#define T_TSTDSTMESSAGESIZE				0x40a7
#define T_TSTDSTFCCREDITS				0x40a8
#define T_TSTDSTINTERFCTOKENGAP				0x40a9
#define T_TSTDSTINITIALFCCREDITS			0x40aa
#define T_TSTDSTERRORCODE				0x40ab

/* Unipro DME QoS Attributes */
#define DME_TX_DATA_OFL					0x5100
#define DME_TX_NAC_RECEIVED				0x5101
#define DME_TX_QOS_COUNT				0x5102
#define DME_TX_DL_LM_ERROR				0x5103
#define DME_RX_DATA_OFL					0x5110
#define DME_RX_CRC_ERROR				0x5111
#define DME_RX_QOS_COUNT				0x5112
#define DME_RX_DL_LM_ERROR				0x5113
#define DME_TXRX_DATA_OFL				0x5120
#define DME_TXRX_PA_INIT_REQUEST			0x5121
#define DME_TXRX_QOS_COUNT				0x5122
#define DME_TXRX_DL_LM_ERROR				0x5123
#define DME_QOS_ENABLE					0x5130
#define DME_QOS_STATUS					0x5131

/* Unipro DME Attributes */
#ifdef CONFIG_HUFS_HC
#define DME_LAYER_ENABLE					0xD002
#define DME_HIBERNATE_ENTER					0xD00B
#define DME_HIBERNATE_ENTER_IND					0xD00D
#define DME_HIBERNATE_EXIT					0xD00E
#define DME_HIBERNATE_EXIT_IND					0xD010
#else
#define DME_LAYER_ENABLE					0xd000
#define DME_HIBERNATE_ENTER					0xd030
#define DME_HIBERNATE_ENTER_IND					0xd031
#define DME_HIBERNATE_EXIT					0xd032
#define DME_HIBERNATE_EXIT_IND					0xd033
#endif

#define DME_RESET						0xd010
#define DME_ENDPOINT_RESET					0xd011
#define DME_ENDPOINT_RESET_IND					0xd012
#define DME_LINK_STARTUP					0xd020
#define DME_LINK_STARTUP_IND					0xd021
#define DME_LINK_LOST_IND					0xd022
#define DME_POWER_MODE_IND					0xd040
#define DME_FC0_PROTECTION_TIMEOUT_VAL				0xd041
#define DME_TC0_REPLAY_TIMEOUT_VAL				0xd042
#define DME_AFC0_REQ_TIMEOUT_VAL				0xd043
#define DME_FC1_PROTECTION_TIMEOUT_VAL				0xd044
#define DME_TC1_REPLAY_TIMEOUT_VAL				0xd045
#define DME_AFC1_REQ_TIMEOUT_VAL				0xd046
#define DME_TEST_MODE						0xd050
#define DME_TEST_MODE_IND					0xd051
#define DME_ERROR_PHY_IND					0xd060
#define DME_ERROR_PA_IND					0xd061
#define DME_ERROR_D_IND						0xd062
#define DME_ERROR_N_IND						0xd063
#define DME_ERROR_T_IND						0xd064
#define MPHY_TX_FSM_STATE       0x41

#endif /* _MPHY_UNIPRO_H_ */
