/*
 * Copyright (c) Huawei Technologies Co. Ltd. 2021-2022. All rights reserved.
 * Description: head file used for both efuse svc provider and callers
 * Create: 2022/01/18
 */

#ifndef __EFUSE_KERNEL_DEF_H__
#define __EFUSE_KERNEL_DEF_H__

/* bits allocated to bit_cnt param in a uint32_t */
#define EFUSE_BITCNT_ALLOC_BITS             (16u)

/* 0x00030000 ~ 0x0003FFFF for efuse item define in kernel */
/* item_vid: efuse item virtual id */

/* [3:0] LSB are reserved for more efuse device in the future */
#define EFUSE1_KERNEL_DEBUG_ID              0x00030001u
#define EFUSE2_KERNEL_DEBUG_ID              0x00030002u

#define EFUSE_KERNEL_DIEID_VALUE            0x00030010u
#define EFUSE_KERNEL_PARTIALGOOD_FLAG1      0x00030011u
#define EFUSE_KERNEL_PARTIALGOOD_FLAG2      0x00030012u
#define EFUSE_KERNEL_PARTIALGOOD_FLAG3      0x00030013u
#define EFUSE_KERNEL_PARTIALGOOD_FLAG4      0x00030014u
#define EFUSE_KERNEL_PARTIALGOOD_FLAG5      0x00030015u
#define EFUSE_KERNEL_PARTIALGOOD_FLAG6      0x00030016u
#define EFUSE_KERNEL_PARTIALGOOD_FLAG7      0x00030017u
#define EFUSE_KERNEL_PARTIALGOOD_FLAG8      0x00030018u
#define EFUSE_KERNEL_PARTIALGOOD_FLAG9      0x00030019u
#define EFUSE_KERNEL_MODEM_HUK              0x0003001Au
#define EFUSE_KERNEL_UAPP_ENABLE            0x0003001Bu
#define EFUSE_KERNEL_UAPP_KEYREVOKE         0x0003001Cu
#define EFUSE_KERNEL_UAPP_CONSISTENCY       0x0003001Du
#define EFUSE_KERNEL_GJROTPK_HASH           0x0003001Eu
#define EFUSE_KERNEL_GMROTPK_HASH           0x0003001Fu
#define EFUSE_KERNEL_ROTPK_HASH0            0x00030020u /* only for cc */
#define EFUSE_KERNEL_ROTPK_HASH1            0x00030021u /* only for cc */
#define EFUSE_KERNEL_PHY_CALI               0x00030022u
#define EFUSE_KERNEL_HDMI_EQ                0x00030023u
#define EFUSE_KERNEL_HDMI_RTERM             0x00030024u
#define EFUSE_KERNEL_COMBO2PCIEEDPPHY_CALI  0x00030025u
#define EFUSE_KERNEL_RXCPHY_MASK            0x00030026u
#define EFUSE_KERNEL_AUTOMOTIVE_CUSTOMERID  0x00030027u
#define EFUSE_KERNEL_REMOTE_TSENSOR         0x00030028u
#define EFUSE_KERNEL_TRB_COUNTER            0x00030029u
#define EFUSE_KERNEL_NTRB_COUNTER           0x0003002Au
#define EFUSE_KERNEL_SOFT_COUNTER           0x0003002Bu

#endif /* __EFUSE_KERNEL_DEF_H__ */
