/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2021-2021. All rights reserved.
 * Description: protocol header file
 * Create: 2021/12/05
 */
#ifndef __CMD_H__
#define __CMD_H__

/* --------------------------cmd-------------------------- */
enum obj_cmd {
	CMD_CMN_OPEN_REQ = 0x01,
	CMD_CMN_OPEN_RESP,
	CMD_CMN_CLOSE_REQ,
	CMD_CMN_CLOSE_RESP,
	CMD_CMN_INTERVAL_REQ,
	CMD_CMN_INTERVAL_RESP,
	CMD_CMN_CONFIG_REQ,
	CMD_CMN_CONFIG_RESP,
	CMD_CMN_FLUSH_REQ,
	CMD_CMN_FLUSH_RESP,
	CMD_CMN_IPCSHM_REQ,
	CMD_CMN_IPCSHM_RESP,

	CMD_DATA_REQ = 0x1f,
	CMD_DATA_RESP,

	CMD_SET_FAULT_TYPE_REQ, /* 0x21 */
	CMD_SET_FAULT_TYPE_RESP,
	CMD_SET_FAULT_ADDR_REQ,
	CMD_SET_FAULT_ADDR_RESP,

	/* SPI */
	CMD_SPI_BAUD_REQ, /* 0x25 */
	CMD_SPI_BAUD_RESP,
	CMD_SPI_TRANS_REQ,
	CMD_SPI_TRANS_RESP,

	/* I2C */
	CMD_I2C_TRANS_REQ, /* 0x29 */
	CMD_I2C_TRANS_RESP,

	/* system status */
	CMD_SYS_STATUSCHANGE_REQ, /* 0x2b */
	CMD_SYS_STATUSCHANGE_RESP,
	CMD_SYS_DYNLOAD_REQ,
	CMD_SYS_DYNLOAD_RESP,
	CMD_SYS_HEARTBEAT_REQ,
	CMD_SYS_HEARTBEAT_RESP,
	CMD_SYS_LOG_LEVEL_REQ,
	CMD_SYS_LOG_LEVEL_RESP,
	CMD_SYS_CTS_RESTRICT_MODE_REQ,
	CMD_SYS_CTS_RESTRICT_MODE_RESP,

	/* LOG */
	CMD_LOG_REPORT_REQ, /* 0x35 */
	CMD_LOG_REPORT_RESP,
	CMD_LOG_CONFIG_REQ,
	CMD_LOG_CONFIG_RESP,
	CMD_LOG_POWER_REQ,
	CMD_LOG_POWER_RESP,

	/* SHAREMEM */
	CMD_SHMEM_AP_RECV_REQ, /* 0x3b */
	CMD_SHMEM_AP_RECV_RESP,
	CMD_SHMEM_AP_SEND_REQ,
	CMD_SHMEM_AP_SEND_RESP,

	/* tag modem for cell info */
	CMD_MODEM_CELL_INFO_REQ, /* 0x3f */
	CMD_MODEM_CELL_INFO_RESP,
	CMD_MODEM_REBOOT_NOTIFY_REQ,
	CMD_MODEM_REBOOT_NOTIFY_RESP,

	/* SHELL_DBG */
	CMD_SHELL_DBG_REQ, /* 0x43 */
	CMD_SHELL_DBG_RESP,

	/* LoadMonitor */
	CMD_READ_AO_MONITOR_SENSOR, /* 0x45 */
	CMD_READ_AO_MONITOR_SENSOR_RESP,

	/* TAG_DATA_PLAYBACK */
	CMD_DATA_PLAYBACK_DATA_READY_REQ, /* 0x47 BACKPLAY */
	CMD_DATA_PLAYBACK_DATA_READY_RESP,
	CMD_DATA_PLAYBACK_BUF_READY_REQ, /* RECORD */
	CMD_DATA_PLAYBACK_BUF_READY_RESP,

	/* CHRE */
	CMD_CHRE_AP_SEND_TO_MCU, /* 0x4b */
	CMD_CHRE_AP_SEND_TO_MCU_RESP,
	CMD_CHRE_MCU_SEND_TO_AP,
	CMD_CHRE_MCU_SEND_TO_AP_RESP,

	/* BIG DATA */
	CMD_BIG_DATA_REQUEST_DATA, /* 0x4f */
	CMD_BIG_DATA_REQUEST_DATA_RESP,
	CMD_BIG_DATA_SEND_TO_AP, /* 0x51 */
	CMD_BIG_DATA_SEND_TO_AP_RESP, /* 0x52 */

	/* tag sys for hall status */
	CMD_SYS_HALL_STATUS_REQ = 0x53, /* 0x53 */
	CMD_SYS_HALL_STATUS_RESP = 0x54, /* 0x54 */

	/* tag modem for phonecall status */
	CMD_MODEM_PHONECALL_INFO_REQ = 0x55, /* 0x55 */
	CMD_MODEM_PHONECALL_INFO_RESP = 0x56, /* 0x56 */

	/* I3C */
	CMD_I3C_TRANS_REQ = 0x57,
	CMD_I3C_TRANS_RESP,

	/* tag als for ud */
	CMD_ALS_RUN_STOP_PARA_REQ = 0x59,
	CMD_ALS_RUN_STOP_PARA_RESP = 0x5a,
	CMD_ALS_BL_PARA_REQ = 0x5d,
	CMD_ALS_BL_PARA_RESP = 0x5e,
	CMD_ALS_COEF_BLOCK_REQ = 0x5f,
	CMD_ALS_COEF_BLOCK_RESP = 0x60,

	/* tag TAG_AIC_DBG for tiny pmu profile */
	CMD_DATA_PMU_PROFILE = 0x70,

	/* log buff */
	CMD_LOG_SER_REQ = 0xf1,
	CMD_LOG_USEBUF_REQ,
	CMD_LOG_BUFF_ALERT,
	CMD_LOG_BUFF_FLUSH,
	CMD_LOG_BUFF_FLUSHP,
	CMD_EXT_LOG_FLUSH,
	CMD_EXT_LOG_FLUSHP,

	CMD_SYS_TIMESTAMP_REQ = 0xF8,
	CMD_SYS_TIMESTAMP_RESP = 0xF9,

	/* modem mode */
	CMD_MODEM_MODE_REQ = 0xFA,
	CMD_MODEM_MODE_RESP,

	CMD_SYS_TIMEZONE_REQ,
	CMD_SYS_TIMEZONE_RESP,

	/* max cmd */
	CMD_ERR_RESP = 0xfe,
};
#endif
