#!/bin/bash

#set -x

if [ $1 == "-h" ]; then
	echo 'usage:'
	echo '-h for help.'
	echo '-c local compile package.'
	echo '-l load to ppa, and release version.'
	exit
fi

if [ $1 == "-l" ]; then
	echo "load to ppa ... ..."

	git clean -xdf
	make distclean -j8
	fakeroot ./debian/rules clean
	echo -n `git rev-parse HEAD` > .sourceversion
	debuild --no-tgz-check -sa -S
	changelog=`dpkg-parsechangelog -ldebian/changelog -o0 -c0 | sed -ne 's/^Version: *//p'`
	dput devppa:huanglei/kylin/pangux ../linux_${changelog}_source.changes
	exit
fi

echo "local compile package ... ..."
make mrproper ARCH=arm64 -j8
make distclean -j8
fakeroot ./debian/rules clean
dpkg-buildpackage -us -uc -b -d
